<template>
  <div>
    <div :style="settingStyle"></div>
  </div>
</template>

<script>
import { getSpacingData } from '@/views/book/courseware/data/spacing';
import PreviewMixin from '../common/PreviewMixin';

export default {
  name: 'SpacingPreview',
  mixins: [PreviewMixin],
  data() {
    return {
      data: getSpacingData(),
    };
  },
  computed: {
    settingStyle() {
      return {
        height: `${this.data.property.height}px`,
        width: '100%',
        backgroundColor: '#f0f0f0',
      };
    },
  },
  methods: {},
};
</script>

<style lang="scss" scoped></style>
